unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Inifiles, Mask, ComCtrls, NumericEditBox, Torrybtn;

type
  TForm2 = class(TForm)
    Shape1: TShape;
    Label1: TLabel;
    CheckBox1: TCheckBox;
    RadioGroup1: TRadioGroup;
    UpDown1: TUpDown;
    MaskEdit1: TMaskEdit;
    StaticText1: TStaticText;
    CheckBox2: TCheckBox;
    Edit1: TNumericEditBox;
    Edit2: TNumericEditBox;
    TorryButton1: TTorryButton;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CoolButton2: TTorryButton;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormHide(Sender: TObject);
    procedure CoolButton1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure MaskEdit1Enter(Sender: TObject);
    procedure MaskEdit1Click(Sender: TObject);
    procedure UpDown1Click(Sender: TObject; Button: TUDBtnType);
    procedure MaskEdit1Change(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure Edit1xChange(Sender: TObject);
    procedure Edit2xChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure CoolButton2Click(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;
  ini: TIniFile;

implementation

uses Unit1;

{$R *.DFM}

function GetAppPath :string;
var
 x, y :string;
begin
 x := ParamStr(0);
 y := ExtractFileName(ParamStr(0));
 Result := copy(x,0,length(x) - length(y));
end;

procedure TForm2.FormCreate(Sender: TObject);
var R: HRgn;
begin
 form2.width := 200;                       // nastav ku formu na 200
 form2.height := 250;              // nastaven tvercovho formu
 R := CreateEllipticRgn(0,0,width,height); // nastav velikost elipsy
 SetWindowRgn(Handle,R,True);              // aplikuje elipsu na form
 Label1.caption:='Settings';

   If Unit1.Set_pipnout then CheckBox1.checked:=True
    else CheckBox1.checked:=False;
   If Unit1.Set_Jpeg then RadioGroup1.ItemIndex:=1
    else RadioGroup1.ItemIndex:=0;
   MaskEdit1.Text := IntToStr(Unit1.Set_Timer);
   UpDown1.Position := Unit1.Set_Timer;
   If Unit1.Set_Prev then begin
                           CheckBox2.checked:=True;
                           Edit1.enabled:=True;
                           Edit2.enabled:=True;
                          end
    else begin
          CheckBox2.checked:=False;
          Edit1.enabled:=False;
          Edit2.enabled:=False;
         end;
   Edit1.Text:=IntToStr(Set_Prev_Width);
   Edit2.Text:=IntToStr(Set_Prev_Height);

   If Unit1.Set_UseIcon then Checkbox4.Checked := True
    else CheckBox4.Checked := False;
   If Unit1.Set_UseIcon then Checkbox3.Enabled := True
    else Checkbox3.Enabled := False;
   If Unit1.Set_AlwaysMin then CheckBox3.Checked := True
    else CheckBox3.Checked := False;
   If Unit1.Set_AutoSave then CheckBox5.Checked := True
    else CheckBox5.Checked := False;
   If Unit1.Set_AutoSave then CoolButton2.enabled := True
    else CoolButton2.enabled := False;
   If Unit1.Set_UsePrnScr then Checkbox6.checked := True
    else CheckBox6.checked := False;

end;

procedure TForm2.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 ReleaseCapture(); // obnov windowsovsk 'mouse input procesing'
 Form2.Perform(WM_SYSCOMMAND, kSC_DragMove, 0); //pesune panel
 Form1.Left:=Form2.Left;
 Form1.Top:=Form2.Top;
end;

procedure TForm2.FormHide(Sender: TObject);
begin
 If Unit1.Set_UseIcon then  Form1.CoolTrayIcon1.enabled:=True;
 If not minimized then Form1.Show;
end;

procedure TForm2.CoolButton1Click(Sender: TObject);
begin
 Form2.Close;
end;

procedure TForm2.CheckBox1Click(Sender: TObject);
begin
 If CheckBox1.Checked then Unit1.Set_Pipnout := True
  else Unit1.Set_Pipnout := False;

 path:=GetAppPath;
 inipath:=path+'settings.ini';
 ini := TIniFile.Create(inipath);
 try
   ini.WriteBool('Settings','beep',Unit1.Set_pipnout);
 finally
   ini.Free;
 end;

end;

procedure TForm2.RadioGroup1Click(Sender: TObject);
begin
 If RadioGroup1.ItemIndex=1 Then Unit1.Set_Jpeg := True
 else If RadioGroup1.ItemIndex=0 Then Unit1.Set_Jpeg := False;

 path:=GetAppPath;
 inipath:=path+'settings.ini';
 ini := TIniFile.Create(inipath);
 try
   ini.WriteBool('Settings','jpeg',Unit1.Set_Jpeg);
 finally
   ini.Free;
 end;

end;

procedure TForm2.MaskEdit1Enter(Sender: TObject);
begin
MaskEdit1.SelectAll;
end;

procedure TForm2.MaskEdit1Click(Sender: TObject);
begin
MaskEdit1.SelectAll;
end;

procedure TForm2.UpDown1Click(Sender: TObject; Button: TUDBtnType);
begin
MaskEdit1.Text:=IntToStr(UpDown1.Position);
end;

procedure TForm2.MaskEdit1Change(Sender: TObject);
var x:Integer;
begin
x:=StrToInt(MaskEdit1.Text);
If x<2 then MaskEdit1.Text:='2';

Unit1.Set_Timer := StrToInt(MaskEdit1.Text);

 path:=GetAppPath;
 inipath:=path+'settings.ini';
 ini := TIniFile.Create(inipath);
 try
   ini.WriteInteger('Settings','timer',Unit1.Set_Timer);
 finally
   ini.Free;
 end;

end;

procedure TForm2.CheckBox2Click(Sender: TObject);
begin
If CheckBox2.Checked Then
 begin
  Edit1.enabled:=True;
  Edit2.enabled:=True;
  Unit1.Set_Prev:=True;
  Unit1.Set_Prev_Height:=StrToInt(Edit1.Text);
  Unit1.Set_Prev_Width:=StrToInt(Edit2.Text);
 end
else
 begin
  Edit1.enabled:=False;
  Edit2.enabled:=False;
  Unit1.Set_Prev:=False;
 end;

 path:=GetAppPath;
 inipath:=path+'settings.ini';
 ini := TIniFile.Create(inipath);
 try
   ini.WriteBool('Settings','prev',Unit1.Set_Prev);
 finally
   ini.Free;
 end;


end;

procedure TForm2.Edit1xChange(Sender: TObject);
begin
 Unit1.Set_Prev_Width:=StrToInt(Edit1.Text);

 path:=GetAppPath;
 inipath:=path+'settings.ini';
 ini := TIniFile.Create(inipath);
 try
   ini.WriteInteger('Settings','width',Unit1.Set_Prev_Width);
 finally
   ini.Free;
 end;
end;

procedure TForm2.Edit2xChange(Sender: TObject);
begin
 Unit1.Set_Prev_Height:=StrToInt(Edit2.Text);

 path:=GetAppPath;
 inipath:=path+'settings.ini';
 ini := TIniFile.Create(inipath);
 try
   ini.WriteInteger('Settings','height',Unit1.Set_Prev_Height);
 finally
   ini.Free;
 end;
end;

procedure TForm2.FormShow(Sender: TObject);
begin
 If Unit1.Set_UseIcon then Form1.CoolTrayIcon1.enabled:=False;
 If minimized then CheckBox4.Enabled := False else CheckBox4.Enabled := True;
end;

procedure TForm2.CheckBox4Click(Sender: TObject);
begin
If CheckBox4.Checked Then
 begin
  Unit1.Set_UseIcon := True;
 end
else
 begin
  Unit1.Set_UseIcon := False;
 end;

 path:=GetAppPath;
 inipath:=path+'settings.ini';
 ini := TIniFile.Create(inipath);
 try
   ini.WriteBool('Settings','icon',Unit1.Set_UseIcon);
 finally
   ini.Free;
 end;

 If Unit1.Set_UseIcon then
  begin
   Form1.CoolTrayIcon1.MinimizeToTray := True;
   Form1.CoolTrayIcon1.IconVisible := True;
   CheckBox3.Enabled := True;
  end
 else
  begin
   Form1.CoolTrayIcon1.MinimizeToTray := False;
   Form1.CoolTrayIcon1.IconVisible := False;
   CheckBox3.Enabled := False;
  end;
  
end;

procedure TForm2.CheckBox3Click(Sender: TObject);
begin
If CheckBox3.Checked Then
 begin
  Unit1.Set_AlwaysMin := True;
 end
else
 begin
  Unit1.Set_AlwaysMin := False;
 end;

 path:=GetAppPath;
 inipath:=path+'settings.ini';
 ini := TIniFile.Create(inipath);
 try
   ini.WriteBool('Settings','alwaysmin',Unit1.Set_AlwaysMin);
 finally
   ini.Free;
 end;

end;

procedure TForm2.CheckBox5Click(Sender: TObject);
begin
If CheckBox5.Checked Then
 begin
  Unit1.Set_AutoSave := True;
  CoolButton2.enabled := True;
 end
else
 begin
  Unit1.Set_AutoSave := False;
  CoolButton2.enabled := False;  
 end;

 path:=GetAppPath;
 inipath:=path+'settings.ini';
 ini := TIniFile.Create(inipath);
 try
   ini.WriteBool('Settings','autosave',Unit1.Set_AutoSave);
 finally
   ini.Free;
 end;

end;

procedure TForm2.CoolButton2Click(Sender: TObject);
begin
 If Form1.FolderDialog1.Execute then
  begin
   Unit1.Set_Folder := Form1.FolderDialog1.Folder;

    path:=GetAppPath;
    inipath:=path+'settings.ini';
    ini := TIniFile.Create(inipath);
    try
    ini.WriteString('Settings','folder',Unit1.Set_Folder);
    finally
    ini.Free;
    end;

  end;
end;

procedure TForm2.CheckBox6Click(Sender: TObject);
begin
 If CheckBox6.Checked then Unit1.Set_UsePrnScr := True
  else Unit1.Set_UsePrnScr := False;

 path:=GetAppPath;
 inipath:=path+'settings.ini';
 ini := TIniFile.Create(inipath);
 try
   ini.WriteBool('Settings','prnscr',Unit1.Set_UsePrnScr);
 finally
   ini.Free;
 end;

 If Unit1.Set_UsePrnScr then Form1.Timer4.Enabled:=True
  else Form1.Timer4.Enabled:=False;

end;

end.
